PHP Manual
Prev |  | Next

# dba_firstkey

(PHP 3 >= 3.0.8, PHP 4, PHP 5)

dba_firstkey -- Fetch first key

## Description

string dba_firstkey ( resource handle )

dba_firstkey() returns the first key of the database and resets the internal key pointer. This permits a linear search through the whole database.

## Parameters

handle

  The database handler, returned by dba_open() or dba_popen().

## Return Values

Returns the key on success, or `FALSE` on failure.

## See Also

dba_nextkey()
dba_key_split()
Example 2 in the DBA examples

Prev | Home | Next
dba_fetch | Up | dba_handlers